Skip to content
TellMeHow Developers

API documentation

Workspace and account

Workspace and account: 16 API operations, with their parameters, body, responses and a curl example.

GET /me

Read me.show

Parameters

cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/me" \
  -H "Authorization: Bearer pat_…"

PATCH /me

Write me.update

Body application/json

  • name string

    length: at least 1 length: at most 255

  • locale string

    one of en fr

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl -X PATCH "https://{your-workspace}.tellmehow.io/api/v1/me" \
  -H "Authorization: Bearer pat_…" \
  -H "Content-Type: application/json" \
  -d '{"name":"…","locale":"en"}'

GET /workspace

Read workspace.show

Parameters

cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/workspace" \
  -H "Authorization: Bearer pat_…"

PATCH /workspace

Write workspace.update

Body application/json

  • name string

    length: at least 1 length: at most 255

  • display_name string

    length: at least 1 length: at most 255

  • locales array<string>

    items: at least 1 one of en fr

  • default_locale string

    one of en fr

  • retention_raw_days integer

    at least 1 at most 3650

  • retention_deliverable_days integer

    at least 1 at most 3650

  • settings array<object>
  • settings.require_2fa_for_consultants boolean
  • settings.participant_email_code_default boolean
  • settings.platform_keys_allowed boolean

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl -X PATCH "https://{your-workspace}.tellmehow.io/api/v1/workspace" \
  -H "Authorization: Bearer pat_…" \
  -H "Content-Type: application/json" \
  -d '{"name":"…","display_name":"…","locales":[]}'

PATCH /workspace/branding

Write workspace.branding.update

Body application/json

  • primary_color string | null
  • accent_color string | null
  • email_sender_name string

    length: at least 1 length: at most 120

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl -X PATCH "https://{your-workspace}.tellmehow.io/api/v1/workspace/branding" \
  -H "Authorization: Bearer pat_…" \
  -H "Content-Type: application/json" \
  -d '{"primary_color":"…","accent_color":"…","email_sender_name":"…"}'

DELETE /workspace/branding/logo

Write workspace.branding.logo.destroy

Responses

  • 204 Deleted, no content.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl -X DELETE "https://{your-workspace}.tellmehow.io/api/v1/workspace/branding/logo" \
  -H "Authorization: Bearer pat_…"

GET /workspace/dashboard

Read workspace.dashboard

Parameters

cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/workspace/dashboard" \
  -H "Authorization: Bearer pat_…"

GET /workspace/invitations

Read workspace.invitations.index

Parameters

cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/workspace/invitations" \
  -H "Authorization: Bearer pat_…"

POST /workspace/invitations

Write workspace.invitations.store

Body application/json

  • email string required

    length: at most 255 format email

  • role object required

    one of admin consultant

Responses

  • 201 Created (200 or 202 for an action or an asynchronous job).
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl -X POST "https://{your-workspace}.tellmehow.io/api/v1/workspace/invitations" \
  -H "Authorization: Bearer pat_…" \
  -H "Content-Type: application/json" \
  -d '{"email":"name@example.com","role":"admin"}'

DELETE /workspace/invitations/{invitation}

Write workspace.invitations.destroy

Parameters

invitation path
Identifier (ULID).

Responses

  • 204 Deleted, no content.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl -X DELETE "https://{your-workspace}.tellmehow.io/api/v1/workspace/invitations/{invitation}" \
  -H "Authorization: Bearer pat_…"

GET /workspace/members

Read workspace.members.index

Parameters

cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/workspace/members" \
  -H "Authorization: Bearer pat_…"

PATCH /workspace/members/{member}

Write workspace.members.update

Parameters

member path
Identifier (ULID).

Body application/json

  • role object required

    one of admin consultant

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl -X PATCH "https://{your-workspace}.tellmehow.io/api/v1/workspace/members/{member}" \
  -H "Authorization: Bearer pat_…" \
  -H "Content-Type: application/json" \
  -d '{"role":"admin"}'

DELETE /workspace/members/{member}

Write workspace.members.destroy

Parameters

member path
Identifier (ULID).

Responses

  • 204 Deleted, no content.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl -X DELETE "https://{your-workspace}.tellmehow.io/api/v1/workspace/members/{member}" \
  -H "Authorization: Bearer pat_…"

GET /workspaces/enums/roles

Read workspaces.enums.roles

Parameters

cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/workspaces/enums/roles" \
  -H "Authorization: Bearer pat_…"

GET /workspaces/enums/statuses

Read workspaces.enums.statuses

Parameters

cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/workspaces/enums/statuses" \
  -H "Authorization: Bearer pat_…"